/////////////////////////////////////////////////////////////////////////////
//File     :  AllLiquidFilesFilter.java
//Author(s):  Chris (Episthene) Baillargeon
//Description: Filter for LiquidFiles

//copyright (C) 2005 Chris (Episthene) Baillargeon

//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or (at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//http://www.gnu.org/licenses/gpl.html

//----------------------------------------------------------------------------
//$Revision: 1.0               $Date: 2005/10/06  
//----------------------------------------------------------------------------
/////////////////////////////////////////////////////////////////////////////
package epi_extractor;

import java.io.File;
import java.io.FileFilter;


public class AllLiquidFilesFilter implements FileFilter {

	/* (non-Javadoc)
	 * @see java.io.FileFilter#accept(java.io.File)
	 */
	public boolean accept(File arg0) {
		if (arg0.getName().endsWith(".lqd22") || arg0.getName().endsWith(".lqd20")){
			return true;
		}
		else{
			return false;
		}
	}

}
