/////////////////////////////////////////////////////////////////////////////
//File     :  Epi_Tank.java
//Author(s):  Chris (Episthene) Baillargeon
//Description: Some generic tools useful to read Tanks.

//copyright (C) 2005 Chris (Episthene) Baillargeon

//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or (at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//http://www.gnu.org/licenses/gpl.html

//----------------------------------------------------------------------------
//$Revision: 1.0               $Date: 2005/10/06  
//----------------------------------------------------------------------------
/////////////////////////////////////////////////////////////////////////////

package epi_tools;

import java.nio.ByteBuffer;

public class Epi_Tank_Tools {

	public static String getStringFromBuffer(ByteBuffer buf, int offset, int len)
	{
		StringBuffer temp = new StringBuffer(len);
		int i = 0;
		while (i < len)
		{
			temp.append((char)buf.get(offset + i));
			i++;
		}
		return temp.toString();
	}
	
	public static int getFileNullPadding(int lenght)
	{
		int remainder = lenght%4;
		if (remainder == 0)
		{return 2;}
		else if (remainder == 1)
		{return 1;}
		else if (remainder == 2)
		{return 4;}
		else 
		{return 3;}
	}
	
}
