/////////////////////////////////////////////////////////////////////////////
//File     :  Epi_Tools.java
//Author(s):  Chris (Episthene) Baillargeon
//Description: Some generic Tools

//copyright (C) 2005 Chris (Episthene) Baillargeon

//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or (at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//http://www.gnu.org/licenses/gpl.html

//----------------------------------------------------------------------------
//$Revision: 1.0               $Date: 2005/10/06  
//----------------------------------------------------------------------------
/////////////////////////////////////////////////////////////////////////////
package epi_tools;

import java.io.*;

public class Epi_Tools {

	public static byte[] copyBytes(byte[] x) {
		byte[] result = new byte[ x.length];
		for ( int i=0; i<x.length; i++ ) result[i] = x[i];
		return result;
	}
	
	public static void appendBytes(byte[] original, byte[] toAppend) {
		
		int i = original.length;
		int max = toAppend.length + original.length;
		int i2 = 0;
		
		while ( i < max )
		{
			original[i] = toAppend[i2];
			i++;
		}
	}
	
	public static byte[] extractBytes(byte[] x, int offset, int bytes) {
		byte[] result = new byte[ bytes ];
		for ( int i=0; i<bytes; i++ ) result[i] = x[i + offset];
		return result;
	}
	
	public static void writeString(byte [] out , OutputStream outs) throws IOException
	{
		String output = new String(out, "US-ASCII" );
		outs.write(output.getBytes());
		if (outs.equals(System.out))
		{
			System.out.println("");
		}
	}
	public static void writeHex(byte [] out , OutputStream outs) throws IOException
	{
		String output = new String(out, "US-ASCII" );
		outs.write(output.getBytes());
		if (outs.equals(System.out))
		{
			System.out.println("");
		}
	}
	
	public static String getByteString(byte [] out) throws IOException
	{
		return new String(out, "US-ASCII" );
	}
}
