/////////////////////////////////////////////////////////////////////////////
//File     :  LowPriorityThreadFactory.java
//Author(s):  Chris (Episthene) Baillargeon
//Description: Creates a new thread on a Low Priority setting.

//copyright (C) 2005 Chris (Episthene) Baillargeon

//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or (at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.

//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//http://www.gnu.org/licenses/gpl.html

//----------------------------------------------------------------------------
//$Revision: 1.0               $Date: 2005/10/09  
//----------------------------------------------------------------------------
/////////////////////////////////////////////////////////////////////////////

package epi_tools;

import java.util.concurrent.ThreadFactory;

public class LowPriorityThreadFactory implements ThreadFactory {

	public LowPriorityThreadFactory() {
			super();
	}
   public Thread newThread(Runnable r) {
	   Thread t = new Thread(r) ; 
	   t.setPriority(Thread.MIN_PRIORITY);
	   return t;
	   }
}
